Loading search index…

Browse documentationRotate an API key | API Reference
API KEYS

Rotate an API key

POST/v1/api-keys/{id}/rotate

See the request and response contract below.

Backend integrationYour backend and SDK use a tenant API key.
Try itAvailable for creating, reading, and deleting verification sessions in Test. Other operations are reference-only; API-key protected routes require a tenant API key on your backend. Open a session request
Parameters
Parameters for POST /v1/api-keys/{id}/rotate
NameLocationRequiredSchemaDescription
idpathYesstring—

Responses

Response 200

JSON response

application/json · Response schema
idstringrequired
namestring,nulloptional
scopesarray<string>optional
api_keystringrequired
livemodebooleanrequired

Whether this key targets live data. False means sandbox/test data.

expires_atstring,null · date-timerequired

Absolute UTC expiry. Null means the key does not expire.

last_used_atstring,null · date-timerequired

Most recent successful authentication. Null means the key has not been used.

View JSON schema
{
  "type": "object",
  "required": [
    "id",
    "api_key",
    "livemode",
    "expires_at",
    "last_used_at"
  ],
  "properties": {
    "id": {
      "type": "string"
    },
    "name": {
      "type": [
        "string",
        "null"
      ]
    },
    "scopes": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "api_key": {
      "type": "string",
      "writeOnly": true
    },
    "livemode": {
      "type": "boolean",
      "description": "Whether this key targets live data. False means sandbox/test data."
    },
    "expires_at": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time",
      "description": "Absolute UTC expiry. Null means the key does not expire."
    },
    "last_used_at": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time",
      "description": "Most recent successful authentication. Null means the key has not been used."
    }
  }
}
Response 401

Error response

application/json · Response schema
errorstringrequired
messagestringrequired
View JSON schema
{
  "type": "object",
  "required": [
    "error",
    "message"
  ],
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  }
}
Response 403

Error response

application/json · Response schema
errorstringrequired
messagestringrequired
View JSON schema
{
  "type": "object",
  "required": [
    "error",
    "message"
  ],
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  }
}
Response 404

Error response

application/json · Response schema
errorstringrequired
messagestringrequired
View JSON schema
{
  "type": "object",
  "required": [
    "error",
    "message"
  ],
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  }
}
← All public operations
© DLBR · API documentationv0.1.0 · a1293c1